Chinaunix首页 | 论坛 | 博客
  • 博客访问: 1734134
  • 博文数量: 310
  • 博客积分: 6853
  • 博客等级: 准将
  • 技术积分: 2833
  • 用 户 组: 普通用户
  • 注册时间: 2005-08-04 16:41
文章分类

全部博文(310)

文章存档

2013年(17)

2012年(42)

2011年(76)

2010年(71)

2009年(99)

2007年(2)

2006年(1)

2005年(2)

分类: 系统运维

2009-07-10 09:43:15

让 WAS V6.1 的 JSP 编译器用 JDK5.0



产品: WebSphere Application Server
平台: 跨平台
版本: 6.1.x

问题描述:
缺省情况下,JSP 编译器用 1.3 的规范来编译 JSP 文件,如果您在 WAS V6.1 里用了带 JDK 1.5 的特性的 JSP,编译会失败

解答:
为了确保您的 JSP 被正确编译,请在打包时的 JSP 属性里添加一个属性:jdkSourceLevel,值为:15,这是推荐的方法。该属性应该是ibm自己定义的?

如果您不能重新打包后重新发布应用,请按照下面的步骤修改相关文件:
找到下面的两个文件:
/profiles/AppSrv01/config/cells//applications//deployments//WEB-INF/ibm-web-ext.xmi
/profiles/AppSrv01/installedApps////WEB-INF/ibm-web-ext.xmi

在最后面的 前添加下面一行:

<jspAttributes xmi:id="JSPAttribute_113" name="jdkSourceLevel" value="15"/>

保存后重新启动应用即可,也请同时删除 jsp 已经编译过的 class 文件:

/profiles/AppSrv01/temp////*.class

如果用 JspBatchCompiler 命令可以带下面的参数:

JspBatchCompiler -enterpriseapp.name -jdkSourceLevel 15 -keepgenerated true
阅读(1610) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~
评论热议
请登录后评论。

登录 注册